Page MenuHomePhabricator

makefile for generic packages changes
Closed, ResolvedPublic

Description

  • to use/not use '--rootcmd="$PWD/debian/gain-root-command"' (done)
  • to use/not set upstream/debian tarball file name to lower case (done)
  • to use/not use lintian (done)
  • do net set DEBMAIL to my adrelanos personal e-mail address if not set (done)
  • make git-tag-sign (for devs: git tag sign latest debian/changelog version) (done)
  • make git-tag-verify (for devs: verify latest git tag) (done)
  • make git-tag-check (for devs: check if current git head is a signed git tag) (done)
  • make git-commit-verify (for devs: check if current git head is a signed git commit) (done)
  • make git-verify (dev devs: combination of tag-check and commit-verify) (done)
  • compatibility with setup.py packaging method
    • run build_deb.sh if existing
    • make deb-clean: also delete deb_dist folder (done)
    • move created deb to parent folder

Event Timeline

Patrick created this task.Nov 20 2014, 5:07 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick added a subscriber: Patrick.
Patrick changed the visibility from "All Users" to "Public (No Login Required)".Nov 20 2014, 7:52 PM
Patrick changed the edit policy from "All Users" to "Administrators".
Patrick updated the task description. (Show Details)Dec 4 2014, 4:04 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Dec 4 2014, 4:31 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Dec 4 2014, 4:35 PM
Patrick updated the task description. (Show Details)
Patrick updated the task description. (Show Details)Dec 4 2014, 4:39 PM
Patrick updated the task description. (Show Details)Dec 4 2014, 9:31 PM
Patrick updated the task description. (Show Details)Dec 4 2014, 9:34 PM
Patrick closed this task as Resolved.Dec 5 2014, 8:07 PM
Patrick claimed this task.